Subject: Re: Pine Dies after i Compose

From: David L Miller <[email-masked]>
Date: Mon, 1 Aug 1994 14:50:11 -0700 (PDT)

I don't see anything amiss in your .pine-debug output.  The "-1" just means
that there was no new mail.  It is checking every 2.5 minutes like it is
supposed to, so everything looks normal from that standpoint.  Does this
problem occur every time? 

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing, JE-20
4545 15th Ave NE, Seattle WA 98105, USA

On Fri, 22 Jul 1994, Wes Spears wrote:

> I am running Pine on an RS/6000 AIX v3.2.4.  I can sedn one message, but  
> can not send a second.  When I hit C to compose the second time, it locks  
> up my terminal.  I can go to another terminal and Pine is still running.   
> I have run Pine with a Debug level of nine, and have received the  
> following output after sending the message:
> 
> q_status_message, Count 1, "Message sent."
> diff: 4, displayed_time: 774834841, now: 774834841
> 
> 
>     ---- MAIN_MENU_SCREEN ----
> new mail called (0 0 2)
> set_titlebar - style: 0  current_message:0  current_pl: 0  total_pl: 0
> comatose(0) returns:0 ?       Help       0
> 1 O       OTHER CMDS 0
> 2 (null)  (null)     14
> 3 L       [ListFldrs 13
> 4 P       PrevCmd    27
> 5 N       NextCmd    27
> 6 (null)  (null)     41
> 7 (null)  (null)     41
> 8 R       RelNotes   54
> 9 K       KBLock     54
> 10 (null)  (null)     69
> 11 (null)  (null)     69
> row: -2, real_row: 22, column: 0
> diff: 1, displayed_time: 774834841, now: 774834842
> Select readfds:1 timeval:2,0
> Select on tty returned 0
> Read char returning: 0 ^@
> Read command returning: 0 ^@
> new mail called (0 0 1)
> check_point(BadTime)
> ******** new mail returning -1  ********
> diff: 1, displayed_time: 774834841, now: 774834844
> Select readfds:1 timeval:2,0
> Select on tty returned 0
> Read char returning: 0 ^@
> Read command returning: 0 ^@
> new mail called (0 0 1)
> diff: -1, displayed_time: 774834841, now: 774834846
> output_message(Message sent.)
> STATUS DISPE command:0,  disp:1,  length:0,  Time:Thu Jul 21 18:54:06 1994
> Select readfds:1 timeval:150,0
> Select on tty returned 1
> Read returned 1
> Read char returning: 99 c
> Read command returning: 99 c
> New_mail_count zeroed
> 
> 
>     ---- COMPOSE SCREEN (not in pico yet) ----
> 
>  === send called === 
> set_titlebar - style: 0  current_message:0  current_pl: 0  total_pl: 0
> comatose(0) returns:flags: 0
> new mail called (2ff7ecac 0 0)
> check_point(GoodTime)
> Mail_Ping(mail_stream): Thu Jul 21 18:56:49 1994
> 
> New mail checked 
> Ping complete: Thu Jul 21 18:56:49 1994
> 
> ******** new mail returning -1  ********
> new mail called (2ff7ecac 0 0)
> check_point(GoodTime)
> Mail_Ping(mail_stream): Thu Jul 21 18:59:19 1994
> 
> New mail checked 
> Ping complete: Thu Jul 21 18:59:19 1994
> 
> ******** new mail returning -1  ********
> new mail called (2ff7ecac 0 0)
> check_point(GoodTime)
> Mail_Ping(mail_stream): Thu Jul 21 19:01:49 1994
> 
> New mail checked 
> Ping complete: Thu Jul 21 19:01:49 1994
> 
> It contiues in the loop of checking new mail and returning -1.  The -1  
> seemed like an error to me.  Does anyone have any suggestions of things to  
> try?
> 
> Thanks
> Wes
> -- 
> Wes Spears <-------> [email-masked] (NeXTMail Welcome)
> The Weston Group          (UUCP and SENDMAIL Consultation)
> 8524 Highway 6 North, 162,  Houston, TX  77095
> 
>